import { j as o } from "./jsx-runtime-OVHDjVDe.js";
import { C as e } from "./css-BYwooBtA.js";
import { s as c, B as m, c as x } from "./main-BINuQ9na.js";
import { createContext as u, use as p } from "react";
import { a as f } from "./provider-CKYgKu3z.js";
import "react-dom";
const h = ({ children: t = [], ...r }) => /* @__PURE__ */ o.jsx(
  c,
  {
    x: !0,
    gap: "small",
    align: "center",
    className: e.BE("header", "actions"),
    ...r,
    children: t
  }
), i = u({ divided: !1, level: "h1" }), n = () => p(i), j = ({
  className: t,
  level: r = "p",
  divided: s = !1,
  bordered: a = !0,
  padded: l = !1,
  ...d
}) => /* @__PURE__ */ o.jsx(i, { value: { level: r, divided: s }, children: /* @__PURE__ */ o.jsx(
  c,
  {
    el: "header",
    x: !0,
    align: "center",
    justify: "between",
    className: e(
      e.B("header"),
      a && e.bordered("bottom"),
      s && e.BM("header", "divided"),
      l && e.BM("header", "padded"),
      t
    ),
    ...d
  }
) }), B = ({
  children: t = "",
  className: r,
  onClick: s,
  ...a
}) => {
  const { level: l } = n();
  return /* @__PURE__ */ o.jsx(
    m,
    {
      variant: "text",
      size: f[l],
      onClick: s,
      className: e(e.B("header-button-title"), r),
      sharp: !0,
      ...a,
      children: t
    }
  );
}, v = ({
  className: t,
  level: r,
  ...s
}) => {
  const { level: a } = n();
  return /* @__PURE__ */ o.jsx(
    x,
    {
      className: e(e.BE("header", "text"), t),
      level: r ?? a,
      gap: 1.5,
      ...s
    }
  );
}, _ = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  Actions: h,
  ButtonTitle: B,
  Header: j,
  Title: v,
  useContext: n
}, Symbol.toStringTag, { value: "Module" }));
export {
  _ as e
};
